Bug 1307307 - adplug: FTBFS in rawhide
adplug: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: adplug (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 15:59 EST by Fedora Release Engineering
Modified: 2016-03-08 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version: adplug-2.1-21.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 02:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (90.88 KB, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details
root.log (85.11 KB, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 15:59:47 EST
Your package adplug failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12805619

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 15:59:50 EST
Created attachment 1123991 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 15:59:51 EST
Created attachment 1123992 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 15:59:53 EST
Created attachment 1123993 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-23 14:00:45 EST
s3m.cpp:29:90: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
   {-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,1,2,3,4,5,6,7,8,-1,-1,-1,-1,-1,-1,-1};

char on ARM is unsigned by default.  An explicit signed char[] should fix this.
Comment 5 Jan Kurik 2016-02-24 09:32:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.